Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Interface Field

All Superinterfaces:
  Expression

All Known Subinterfaces:
  Field, Type

All Known Implementing Classes:
  AttributeField, ClassInstance, ClassMethod, ClassTypeArgument, Field_Base, Field_Named, Instance, Instance_Base, MapEntry, MapInstance, MapLink, MapPort, MapUnit, ModuleInstance_Indirect, ModuleInstance_Standard, ModuleLogic, ModuleMux, ModuleParameter, ModuleParameterGroup, ModuleWire, ModuleWireGroup, PlatformInstance, PlatformLink, PlatformPort, PluginField, Statement, Statement_Block, Statement_Decl, Statement_Expr, Statement_Finally, Statement_If, Statement_Set, Statement_Special, Statement_Try, Statement_While, Type_Argument, Type_Base, Type_Reference, Type_Root, Type_Simple, UnitChannel, UnitExternal, UnitInstance, UnitPort, Variable

    public interface Field

extends Expression

Abstract representation of a field of an `Instance`. All RDL expressions which must be members of an `Unit`, `Map` or `Platform` will implement this interface. In many was this interface is a mirror of `Declaration`.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Identifier<Field>` | `getIdentifier()` Get the `Identifier` for this field.
`void` | `setInstance(Instance _instance)` Set the instsance of a field after construction.
`void` | `setRawDynamicID(RawDynamicIdentifier _rawDynamicID)` Set the raw dynamic identifier which names this field.

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Method Detail

### setRawDynamicID

    void setRawDynamicID(RawDynamicIdentifier _rawDynamicID)

  Set the raw dynamic identifier which names this field. This is used because most fields are broken into two pieces in the RDL grammar. The first piece includes the field parameters, and the second piece includes the name. Thus most fields are created and told their name later.

  Parameters:
    `_rawDynamicID` - The raw dynamic identifier from the RDL file, which gives the name of this field.

### getIdentifier

    Identifier<Field> getIdentifier()

  Get the `Identifier` for this field. This is also the identifier to which this field is bound.

  Returns:
    The dynamic `Identifier` for this field.

### setInstance

    void setInstance(Instance _instance)

  Set the instsance of a field after construction. This is used during parsing since the actual instance a field is being declared in, is not known until we go back up the parse tree. Thus fields are created without regard to an instance, and are told what instance they are in later.

  Parameters:
    `_instance` - The instance this field is in.

### copy

    Field copy(java.lang.String _name,
               Instance _instance)

  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD